Name:		xcb-util-errors
Version:	1.0
Release:	6%{?dist}
Summary:	XCB errors library
License:	MIT
URL:		https://xcb.freedesktop.org
Source0:	%{url}/dist/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	m4
BuildRequires:	libxcb-devel
BuildRequires:	xcb-proto
BuildRequires:	xorg-x11-util-macros

%description
xcb-util-errors is a utility library that gives human readable
names to error codes and event codes and also to major and minor
numbers. The necessary information is drawn from xcb-proto's protocol
descriptions. This library is especially useful when working with
extensions and is mostly useful for debugging.

%package 	devel
Summary:	Development and header files for xcb-util-errors
Group:		System Environment/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
Development files for xcb-util-errors.

%prep
%autosetup -n %{name}-%{version}

%build
%{configure}
make %{?_smp_mflags}

%install
export DESTDIR=%{buildroot}
make install

%ldconfig_post

%ldconfig_postun

%files
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/*.a

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/xcb/*.h
